<template>
  <span class="price-component">{{ formattedPrice }}</span>
</template>

<script>
export default {
  props: {
    price: {
      type: Number
    }
  },

  computed: {
    formattedPrice() {
      const price = String(this.price);
      var i = price.length;
      var parts = [];
      // eslint-disable-next-line no-constant-condition
      while (1) {
        parts.unshift(price.substring(i - 3 >= 0 ? i - 3 : 0, i));
        if (i - 3 <= 0) {
          break;
        }
        i -= 3;
      }
      return `NT$${parts.join(",")}`;
    }
  }
};
</script>

<style lang="scss" scoped>
.price-component {
  display: inline-block;
}
</style>
